<?php

namespace Pinpoint\LogoManager\Model\Resolver\DataProvider;

use Magento\Framework\Api\SearchCriteriaBuilder;
use Pinpoint\LogoManager\Model\LogoRepository;

/**
 * Logo Data Provider.
 */
class Logo
{
    /**
     * @var SearchCriteriaBuilder
     */
    protected $searchCriteriaBuilder;

    /**
     * @var LogoRepository
     */
    protected $logoRepository;

    /**
     * @param SearchCriteriaBuilder $searchCriteriaBuilder
     * @param LogoRepository $logoRepository
     */
    public function __construct(
        SearchCriteriaBuilder $searchCriteriaBuilder,
        LogoRepository $logoRepository
    ) {
        $this->searchCriteriaBuilder = $searchCriteriaBuilder;
        $this->logoRepository = $logoRepository;
    }

    /**
     * @return array
     */
    public function getItems()
    {
        $items = [];
        $logos = $this->logoRepository->getList($this->searchCriteriaBuilder->create())->getItems();
        foreach ($logos as $logo) {
            $items[] = [
                'name' => $logo['logo_name'],
                'image' => $logo['logo'],
                'link' => $logo['link'],
                'position' => $logo['position'],
                'enabled' => $logo['is_active'],
            ];
        }
        return $items;
    }
}
