<?php

namespace Pinpoint\LogoManager\Model\Resolver;

use Magento\Framework\GraphQl\Config\Element\Field;
use Magento\Framework\GraphQl\Query\Resolver\ContextInterface;
use Magento\Framework\GraphQl\Query\Resolver\Value;
use Magento\Framework\GraphQl\Query\ResolverInterface;
use Magento\Framework\GraphQl\Schema\Type\ResolveInfo;
use Pinpoint\LogoManager\Model\Resolver\DataProvider\Logo as LogoDataProvider;

/**
 * Logo Resolver.
 */
class Logo implements ResolverInterface
{
    /**
     * @var LogoDataProvider
     */
    protected $logoDataProvider;

    /**
     * @param LogoDataProvider $logoDataProvider
     */
    public function __construct(LogoDataProvider $logoDataProvider)
    {
        $this->logoDataProvider = $logoDataProvider;
    }

    /**
     * Fetches the data from persistence models and format it according to the GraphQL schema.
     *
     * @param \Magento\Framework\GraphQl\Config\Element\Field $field
     * @param ContextInterface $context
     * @param ResolveInfo $info
     * @param array|null $value
     * @param array|null $args
     * @throws \Exception
     * @return mixed|Value
     */
    public function resolve(
        Field $field,
        $context,
        ResolveInfo $info,
        array $value = null,
        array $args = null
    ) {
        return $this->logoDataProvider->getItems();
    }
}
